Bug 856303 - "Invalid resource type 'system_groups' " error message when trying to unregister from SAM
"Invalid resource type 'system_groups' " error message when trying to unregis...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jordan OMara
Tazim Kolhar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 13:29 EDT by Matt Reid
Modified: 2016-04-25 20:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:17:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Reid 2012-09-11 13:29:36 EDT
Description of problem:
After registering a client to a SAM 1.23 system, I'm unable to unregister using subscription-manager. I get an error message of "Invalid resource type 'system_groups'. Resource Types can be one of 'providers, all, environments, organizations, activation_keys, roles, users'" as output when I try.

Version-Release number of selected component (if applicable):
SAM 1.23
subscription-manager 1.0.17-1

How reproducible:
Happened when I used sub-man 1.0.16-1 on RHEL 5.9 and F17 with sub-man 1.0.17-1

Steps to Reproduce:
1. configure client to connect to SAM
2. register client
3. unregister using cli or gui
  
Actual results:
See an error message preventing you from unregistering

Expected results:
See a confirmation that my system was unregistered

Additional info:
Comment 1 Jordan OMara 2012-09-12 09:01:08 EDT
https://github.com/Katello/katello/pull/636
Comment 2 Tazim Kolhar 2012-10-10 02:12:15 EDT
VERIFIED with the packages :

# rpm -qa | grep katello
katello-configure-1.1.11-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1h.el6_3.noarch
katello-glue-candlepin-1.1.14-2h.el6_3.noarch
katello-cli-common-1.1.10-1h.el6_3.noarch
katello-selinux-1.1.2-1h.el6_3.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
katello-headpin-1.1.14-2h.el6_3.noarch
katello-common-1.1.14-2h.el6_3.noarch
katello-headpin-all-1.1.14-2h.el6_3.noarch


Steps used :
1. Configure client to connect to SAM:
   # rpm -ivh http://dell-pe1800-01.rhts.eng.bos.redhat.com/pub/candlepin-cert-consumer-dell-pe1800-01.rhts.eng.bos.redhat.com-1.0-1.noarch.rpm
Retrieving http://dell-pe1800-01.rhts.eng.bos.redhat.com/pub/candlepin-cert-consumer-dell-pe1800-01.rhts.eng.bos.redhat.com-1.0-1.noarch.rpm
Preparing...                ########################################### [100%]
   1:candlepin-cert-consumer########################################### [100%]

2. Register the client to SAM :
   # subscription-manager register --name localhost1234 --org ACME_Corporation --activationkey act_key --autosubscribe --force
   The system has been registered with id: 87242894-7624-419c-a603-d7e836244abf 
   Installed Product Current Status:

   ProductName:         	Red Hat Enterprise Linux Server
   Status:               	Not Subscribed           


3. Unregister the system :
   # subscription-manager unregister
   System has been un-registered.
Comment 4 errata-xmlrpc 2013-02-21 14:17:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.